//
//  UITableViewCell+Extensions.swift
//  MVVM
//
//  Created by Ivan Chavdarov Ivanov on 31.07.23.
//

import Foundation
import UIKit

extension UITableViewCell {
    func configure(with todo: TodoElement) {
        var content = self.defaultContentConfiguration()
        content.text = todo.title.capitalized
        let secondaryTextAttributes: [NSAttributedString.Key: Any] = [NSAttributedString.Key.foregroundColor: todo.completed ? UIColor.green : UIColor.red]
        let attributedSecondaryText = NSAttributedString(string: todo.completed.description.capitalized, attributes: secondaryTextAttributes)
        content.secondaryAttributedText = attributedSecondaryText
        self.contentConfiguration = content
    }
}
