//
//  ViewModel.swift
//  MVVM
//
//  Created by Ivan Chavdarov Ivanov on 27.07.23.
//

import Foundation

class ViewModel {
    
    @Published var todos: [TodoElement] = []
    var networkingService: Networking
    var reuseIdentifier = "Cell"
    var numberOfSections: Int {
        1
    }
    var numberOfRowsInSection: Int {
        todos.count
    }
    
    init(networkingService: Networking) {
        self.networkingService = networkingService
        
        networkingService.getData { [weak self] result in
            switch result {
            case .success(let data):
                self?.todos = data
            case .failure(let error):
                print(error.localizedDescription)
            }
        }
    }
}
